Servoy JasperReports Plugin - Defect #842

The type java.lang.CharSequence cannot be resolved. It is indirectly referenced from required .class
files

02/27/2015 10:24 AM - Sebastian Schlatow

Status: Resolved Start date: 02/27/2015
Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
| get the following error, if try to run a report, that was working with Java 7. This depeneds on also on the Servoy server Java version.

Server Java 7 / Client Java 8 >-Repert-runs-fine
ServerdJava-8-+ClientJava8—Report-does-notrun

Feb 27,2015 10:17:55 AM com.servoy.j2db.util.Debug error

SCHWERWIEGEND: Throwable

net.sf.jasperreports.engine.JRException: Errors were encountered when compiling report expressions class file:

1. The type java.lang.CharSequence cannot be resolved. It is indirectly referenced from required .class files

? ((java.lang.String)field_vonname.getValue()).replace( "Abteilung Forschungsschifffahrt”, "Abt. Forschungsschifffahrt" )
//$JR_EXPR_ID=22%

< >

1 errors

at net.sf.jasperreports.engine.design.JRAbstractCompiler.compileReport (JRAbstractCompiler.java:204
)

at net.sf.jasperreports.engine.JasperCompileManager.compile (JasperCompileManager. java:240)

at net.sf.jasperreports.engine.JasperCompileManager.compileReport (JasperCompileManager. java:49
6)

at com.servoy.plugins. jasperreports.JasperReportsServer.getJasperReport (JasperReportsServer. ja
va:187)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at sun.rmi.server.UnicastServerRef.dispatch (Unknown Source)

at sun.rmi.transport.Transport$l.run (Unknown Source)

at sun.rmi.transport.Transport$l.run (Unknown Source)

at java.security.AccessController.doPrivileged (Native Method)

at sun.rmi.transport.Transport.serviceCall (Unknown Source)

at sun.rmi.transport.tcp.TCPTransport.handleMessages (Unknown Source)

at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run0 (Unknown Source)

at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.lambda$run$240 (Unknown Source)

at sun.rmi.transport.tcp.TCPTransportS$ConnectionHandler$$Lambda$14/153681248.run (Unknown Sourc

at java.security.AccessController.doPrivileged (Native Method)

at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run (Unknown Source)

at java.util.concurrent.ThreadPoolExecutor.runWorker (Unknown Source)

at java.util.concurrent.ThreadPoolExecutor$Worker.run (Unknown Source)

at java.lang.Thread.run (Unknown Source)

at sun.rmi.transport.StreamRemoteCall.exceptionReceivedFromServer (Unknown Source)

at sun.rmi.transport.StreamRemoteCall.executeCall (Unknown Source)

at sun.rmi.server.UnicastRef.invoke (Unknown Source)

at com.servoy.plugins. jasperreports.JasperReportsServer_Stub.getJasperReport (Unknown Source)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at com.servoy.j2db.util.AbstractRemoteInvocationHandler.invokeMethod (AbstractRemoteInvocationH
andler.java:77)

at com.servoy.j2db.util.ThreadingRemoteInvocationHandler$1l.run (ThreadingRemoteInvocationHandle
r.java:79)

at java.util.concurrent.ThreadPoolExecutor.runWorker (Unknown Source)

at java.util.concurrent.ThreadPoolExecutor$Worker.run (Unknown Source)

at java.lang.Thread.run (Unknown Source)

Feb 27,2015 10:17:55 AM com.servoy.j2db.util.Debug error
SCHWERWIEGEND: Throwable, script stacktrace:
at br_boss_buha_faktura/forms/br_boss_buha_faktura_head/printPreview:939 (printPreview)

Exception Object: java.lang.Exception: net.sf.jasperreports.engine.JRException: Errors were encountered when compiling report
expressions class file:

1. The type java.lang.CharSequence cannot be resolved. It is indirectly referenced from required .class files

? ((java.lang.String)field_vonname.getValue()).replace( "Abteilung Forschungsschifffahrt", "Abt. Forschungsschifffahrt" )
//$JR_EXPR_ID=22%

< >

1 errors

MSG: net.sf.jasperreports.engine.JRException: Errors were encountered when compiling report expressions class file:
1. The type java.lang.CharSequence cannot be resolved. It is indirectly referenced from required .class files

? ((java.lang.String)field_vonname.getValue()).replace( "Abteilung Forschungsschifffahrt”, "Abt. Forschungsschifffahrt" )
//$JR_EXPR_ID=22%

< >

1 errors

null
Feb 27,2015 10:17:55 AM com.servoy.j2db.util.Debug error

1 errors

(br_boss_buha_faktura/forms/br_boss_buha_faktura_head/printPreview#939)

at org.mozilla.javascript.Context.throwAsScriptRuntimeEx(Context.java:1815)

at org.mozilla.javascript.MemberBox.invoke(MemberBox.java:180)

at org.mozilla.javascript.NativeJavaMethod.call(NativeJavaMethod.java:312)

at org.mozilla.javascript.optimizer.OptRuntime.callN(OptRuntime.java:78)

at
org.mozilla.javascript.gen.br_boss_buha_faktura_forms_br_boss_buha_faktura_head_printPreview_620._c_printPreview_0(br_boss
_buha_faktura/forms/br_boss_buha_faktura_head/printPreview:939)

at
org.mozilla.javascript.gen.br_boss_buha_faktura_forms_br_boss_buha_faktura_head_printPreview_620.call(br_boss_buha_faktura/f
orms/br_boss_buha_faktura_head/printPreview)

at org.mozilla.javascript.ContextFactory.doTopCall(ContextFactory.java:406)

at org.mozilla.javascript.ScriptRuntime.doTopCall(ScriptRuntime.java:3204)

at
org.mozilla.javascript.gen.br_boss_buha_faktura_forms_br_boss_buha_faktura_head_printPreview_620.call(br_boss_buha_faktura/f
orms/br_boss_buha_faktura_head/printPreview)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction(ScriptEngine.java:628)

at com.servoy.j2db.BasicFormController.executeFunction(BasicFormController.java:818)

at com.servoy.j2db.FormController.executeFunction(FormController.java:1269)

at com.servoy.j2db.plugins.ClientPluginAccessProvider$MethodExecutor.run(ClientPluginAccessProvider.java:588)

at java.awt.event.InvocationEvent.dispatch(Unknown Source)

at java.awt.EventQueue.dispatchEventimpl(Unknown Source)

at java.awt.EventQueue.access$500(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.dolntersectionPrivilege(Unknown Source)

at java.awt.EventQueue.dispatchEvent(Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)

at java.awt.EventDispatchThread.pumpEvents(Unknown Source)

at java.awt.EventDispatchThread.pumpEvents(Unknown Source)

at java.awt.EventDispatchThread.run(Unknown Source)

Caused by: java.lang.Exception: net.sf.jasperreports.engine.JRException: Errors were encountered when compiling report
expressions class file:

1. The type java.lang.CharSequence cannot be resolved. It is indirectly referenced from required .class files

? ((java.lang.String)field_vonname.getValue()).replace( "Abteilung Forschungsschifffahrt”, "Abt. Forschungsschifffahrt" )
//$JR_EXPR_ID=22%

< >

1 errors

at com.servoy.plugins. jasperreports.JasperReportsProvider.runReport (JasperReportsProvider. java:649
)

at com.servoy.plugins. jasperreports.JasperReportsProvider. js_runReport (JasperReportsProvider. j
ava:300)

at com.servoy.plugins. jasperreports.JasperReportsProvider. js_runReport (JasperReportsProvider. j
ava:207)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.mozilla.javascript.MemberBox.invoke (MemberBox.java:158)

25 more
Caused by: net.sf.jasperreports.engine.JRException: Errors were encountered when compiling report
expressions class file:
1. The type java.lang.CharSequence cannot be resolved. It is indirectly referenced from required
class files
? ((java.lang.String) field_vonname.getValue()) .replace( "Abteilung Forschungsschifffahrt", "Abt.

Forschungsschifffahrt" ) //$JR_EXPR_ID=22$

1 errors

at net.sf.jasperreports.engine.design.JRAbstractCompiler.compileReport (JRAbstractCompiler. java:204
)

at net.sf.jasperreports.engine.JasperCompileManager.compile (JasperCompileManager.java:240)

at net.sf.jasperreports.engine.JasperCompileManager.compileReport (JasperCompileManager. java:49
6)

at com.servoy.plugins. jasperreports.JasperReportsServer.getJasperReport (JasperReportsServer. ja
va:187)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at sun.rmi.server.UnicastServerRef.dispatch (Unknown Source)

at sun.rmi.transport.Transport$l.run (Unknown Source)

at sun.rmi.transport.Transport$l.run (Unknown Source)

at java.security.AccessController.doPrivileged (Native Method)

at sun.rmi.transport.Transport.serviceCall (Unknown Source)

at sun.rmi.transport.tcp.TCPTransport.handleMessages (Unknown Source)

at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run0 (Unknown Source)

at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.lambda$run$240 (Unknown Source)

at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler$$Lambda$14/153681248.run (Unknown Sourc

at java.security.AccessController.doPrivileged (Native Method)

at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run (Unknown Source)

at java.util.concurrent.ThreadPoolExecutor.runWorker (Unknown Source)

at java.util.concurrent.ThreadPoolExecutor$Worker.run (Unknown Source)

at java.lang.Thread.run (Unknown Source)

at sun.rmi.transport.StreamRemoteCall.exceptionReceivedFromServer (Unknown Source)
at sun.rmi.transport.StreamRemoteCall.executeCall (Unknown Source)

at sun.rmi.server.UnicastRef.invoke (Unknown Source)
at
at
at
at

com.
.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

sun

sun.
sun.

servoy.plugins. jasperreports.JasperReportsServer_Stub.getJasperReport (Unknown Source)

reflect.NativeMethodAccessorImpl.invoke (Unknown Source)
reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

java.lang.reflect.Method.invoke (Unknown Source)

com.

servoy.j2db.util.AbstractRemoteInvocationHandler.invokeMethod (AbstractRemoteInvocationH

andler.java:77)

at com.servoy.j2db.util.ThreadingRemoteInvocationHandler$1l.run (ThreadingRemoteInvocationHandle
r.java:79)

at java.util.concurrent.ThreadPoolExecutor.runWorker (Unknown Source)

at java.util.concurrent.ThreadPoolExecutor$Worker.run (Unknown Source)

at java.lang.Thread.run (Unknown Source)
@
History

#1 - 12/09/2015 08:55 AM - Gabi Boros

- Status changed from New to Resolved

fixed in 5.0.0 final

04/26/2025

/4



http://www.tcpdf.org

